from python:latest


# Set labels
label author="Sébastien Gendre"
label auhor_email="seb@k-7.ch"
label organisation="swisslinux.org"

# Set env

# Install setuptools
run pip install --upgrade setuptools

# Install Slixmpp
run mkdir /slixmpp
workdir /slixmpp
run git clone "https://codeberg.org/poezio/slixmpp.git" .
run python3 setup.py install

# Get the source code
copy . /code
workdir /code

# Install slobot
run python setup.py install

# Create the config directory
run mkdir /config
volume /config

# Set default command
cmd slobot /config/config.yaml
